Page MenuHomePhabricator

Pasteing foregn languages results in numbers instead of text being pasted.
Closed, ResolvedPublic

Description

To reproduce:
Open two apps.
Type something in a foreign language on one. Select > Copy
Paste it in the other app.
Instead of text it pastes numbers which are probably the UTF codes.

Bu5hm4n this is all yours :P

ApB created this task.Jun 24 2016, 11:56 AM

HA! This is not mine, it works in some cases, it looks like its the bad of the cnp stuff in elm.
But when i copy and paste stuff i am seeing this:

ERR<3573>:eina_safety lib/ecore_wl2/ecore_wl2_display.c:822 ecore_wl2_display_window_find() safety check failed:
display == NULL
*** Backtrace ***
/home/marcel/git/efl/src/lib/eina/.libs/libeina.so.1	 0x7f72c201066e 0x7f72c1fe1000
/home/marcel/git/efl/src/lib/eina/.libs/libeina.so.1	 0x7f72c2013315 0x7f72c1fe1000
/home/marcel/git/efl/src/lib/eina/.libs/libeina.so.1	 0x7f72c2012de8 0x7f72c1fe1000
/home/marcel/git/efl/src/lib/eina/.libs/libeina.so.1	 0x7f72c202a4ff 0x7f72c1fe1000
/home/marcel/git/efl/src/lib/ecore_wl2/.libs/libecore_wl2.so.1	 0x7f72ba225588 0x7f72ba211000
/home/marcel/git/efl/src/lib/elementary/.libs/libelementary.so.1	 0x7f72c1af9a66 0x7f72c19bf000
/home/marcel/git/efl/src/lib/ecore/.libs/libecore.so.1	 0x7f72c299c9b8 0x7f72c298c000
/home/marcel/git/efl/src/lib/ecore/.libs/libecore.so.1	 0x7f72c299c497 0x7f72c298c000
/home/marcel/git/efl/src/lib/ecore/.libs/libecore.so.1	 0x7f72c29a3e2e 0x7f72c298c000
/home/marcel/git/efl/src/lib/ecore/.libs/libecore.so.1	 0x7f72c29a3fa6 0x7f72c298c000
/home/marcel/git/efl/src/lib/elementary/.libs/libelementary.so.1	 0x7f72c1c0cba9 0x7f72c19bf000
/home/marcel/git/efl/src/bin/elementary/.libs/lt-elementary_test	 0x559fdaa4413d 0x559fdaa1f000
/home/marcel/git/efl/src/bin/elementary/.libs/lt-elementary_test	 0x559fdaa47221 0x559fdaa1f000
/usr/lib/libc.so.6	 0x7f72c111d741 0x7f72c10fd000
/home/marcel/git/efl/src/bin/elementary/.libs/lt-elementary_test	 0x559fdaa43ea9 0x559fdaa1f000
ERR<3573>:eina_safety lib/ecore_wl2/ecore_wl2_window.c:982 ecore_wl2_window_input_get() safety check failed: window ==
NULL
*** Backtrace ***
/home/marcel/git/efl/src/lib/eina/.libs/libeina.so.1	 0x7f72c201066e 0x7f72c1fe1000
/home/marcel/git/efl/src/lib/eina/.libs/libeina.so.1	 0x7f72c2013315 0x7f72c1fe1000
/home/marcel/git/efl/src/lib/eina/.libs/libeina.so.1	 0x7f72c2012de8 0x7f72c1fe1000
/home/marcel/git/efl/src/lib/eina/.libs/libeina.so.1	 0x7f72c202a4ff 0x7f72c1fe1000
/home/marcel/git/efl/src/lib/ecore_wl2/.libs/libecore_wl2.so.1	 0x7f72ba21f235 0x7f72ba211000
/home/marcel/git/efl/src/lib/elementary/.libs/libelementary.so.1	 0x7f72c1af9a73 0x7f72c19bf000
/home/marcel/git/efl/src/lib/ecore/.libs/libecore.so.1	 0x7f72c299c9b8 0x7f72c298c000
/home/marcel/git/efl/src/lib/ecore/.libs/libecore.so.1	 0x7f72c299c497 0x7f72c298c000
/home/marcel/git/efl/src/lib/ecore/.libs/libecore.so.1	 0x7f72c29a3e2e 0x7f72c298c000
/home/marcel/git/efl/src/lib/ecore/.libs/libecore.so.1	 0x7f72c29a3fa6 0x7f72c298c000
/home/marcel/git/efl/src/lib/elementary/.libs/libelementary.so.1	 0x7f72c1c0cba9 0x7f72c19bf000
/home/marcel/git/efl/src/bin/elementary/.libs/lt-elementary_test	 0x559fdaa4413d 0x559fdaa1f000
/home/marcel/git/efl/src/bin/elementary/.libs/lt-elementary_test	 0x559fdaa47221 0x559fdaa1f000
/usr/lib/libc.so.6	 0x7f72c111d741 0x7f72c10fd000
/home/marcel/git/efl/src/bin/elementary/.libs/lt-elementary_test	 0x559fdaa43ea9 0x559fdaa1f000
ERR<3573>:eina_safety lib/ecore_wl2/ecore_wl2_input.c:1427 ecore_wl2_input_ungrab() safety check failed: input == NULL
*** Backtrace ***
/home/marcel/git/efl/src/lib/eina/.libs/libeina.so.1	 0x7f72c201066e 0x7f72c1fe1000
/home/marcel/git/efl/src/lib/eina/.libs/libeina.so.1	 0x7f72c2013315 0x7f72c1fe1000
/home/marcel/git/efl/src/lib/eina/.libs/libeina.so.1	 0x7f72c2012de8 0x7f72c1fe1000
/home/marcel/git/efl/src/lib/eina/.libs/libeina.so.1	 0x7f72c202a4ff 0x7f72c1fe1000
/home/marcel/git/efl/src/lib/ecore_wl2/.libs/libecore_wl2.so.1	 0x7f72ba220c45 0x7f72ba211000
/home/marcel/git/efl/src/lib/elementary/.libs/libelementary.so.1	 0x7f72c1af9a7b 0x7f72c19bf000
/home/marcel/git/efl/src/lib/ecore/.libs/libecore.so.1	 0x7f72c299c9b8 0x7f72c298c000
/home/marcel/git/efl/src/lib/ecore/.libs/libecore.so.1	 0x7f72c299c497 0x7f72c298c000
/home/marcel/git/efl/src/lib/ecore/.libs/libecore.so.1	 0x7f72c29a3e2e 0x7f72c298c000
/home/marcel/git/efl/src/lib/ecore/.libs/libecore.so.1	 0x7f72c29a3fa6 0x7f72c298c000
/home/marcel/git/efl/src/lib/elementary/.libs/libelementary.so.1	 0x7f72c1c0cba9 0x7f72c19bf000
/home/marcel/git/efl/src/bin/elementary/.libs/lt-elementary_test	 0x559fdaa4413d 0x559fdaa1f000
/home/marcel/git/efl/src/bin/elementary/.libs/lt-elementary_test	 0x559fdaa47221 0x559fdaa1f000
/usr/lib/libc.so.6	 0x7f72c111d741 0x7f72c10fd000
/home/marcel/git/efl/src/bin/elementary/.libs/lt-elementary_test	 0x559fdaa43ea9 0x559fdaa1f000

Please recheck, i think i fixed something into this direction.

ApB added a comment.Jul 14 2016, 4:08 AM

Still see this.

Can reproduce it reliably from GTK to terminology or to a QT app.

Miiiight be a gtk bug. Tried many times from elm to elm and didn't notice anything weird.

Need more tests.

bu5hm4n closed this task as Invalid.Jul 14 2016, 4:47 AM

This is a bug on the site of gtk.

https://www.w3.org/Protocols/rfc1341/7_1_Text.html

says when no charset is defined US-ASCII should be used. obviouly this isnt ...

So its gtk here sending wrong things...

ApB reopened this task as Open.Jul 14 2016, 7:44 AM

reopening

https://bugzilla.gnome.org/show_bug.cgi?id=768803

Discussion upstream. They (Jonas) says its on our side.

Could someone knowledgeable about those things chime in there?

bu5hm4n closed this task as Resolved.Jul 15 2016, 3:10 AM

After talking on irc with others:

Giving codepoints in a ascii string is not really part of ascii so what would be expected in my POV is that chars which are not element of the set of ascii chars would just be replaced with nothing.

And when no charset is specified, us-ascii is used.

So you only see the bug when you request the mimetype text/plain. And i am not sure if weston-terminal uses this plain mimetype or a specified charset...

So really, i dont see that this is a problem with efl.